Subject: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Sep 2014 18:20:58 +0300

In trunk revision 117797, ls-lisp acquired the ability to sort file
names using the new string-collate-lessp function, thus producing
results that should be similar, if not identical, to what GNU ls does,
at least on GNU/Linux in the same locale.  (On MS-Windows, the
behavior will be similar; it cannot be identical because Windows
doesn't implement UTS#10 (a.k.a. "UCA", the Unicode Collation
Algorithm) to the letter in its locale-dependent collation routines.)

Trunk revision 117798 implements the GNU ls -v switch in ls-lisp.

Michael (Heerdegen), as you were the one who requested these features,
please give them some testing and see if you like them.

Many thanks to Michael Albinus for all the hard work on the
infrastructure that made this possible.